Main Page Class Hierarchy Compound List File List Compound Members

# Element Class Reference

pure virtual Base class for all data types, that can be in a drawing. More...

`#include <element.h>`

Inheritance diagram for Element:

List of all members.

## Public Methods
virtual BoundingBox & | CalcBoundingBox ()=0
| calculate the bounding box
virtual BoundingBox & | GetBoundingBox ()=0
| get the boundingbox
virtual void | Transform (wxTransformMatrix *_Matrix)=0
| tranform the element given a matrix
virtual TYPE | GetType ()=0
| get the element type NON,BOUNDARY,PATH,TEXT,SREF,AREF,ARCSEG,BOX,CIRCLE
virtual bool | Select (Point *)=0
| select the element if Point is within it
virtual bool | Select (BoundingBox *, wxTransformMatrix *)=0
void | SetFilled (bool)
| set the filled flag
bool | GetFilled ()
| get the filled flag
void | SetSelect (bool)
| set the select flag
bool | GetSelect ()
| get the select flag
bool | GetGroupA ()
| get the groupA flag
bool | GetGroupB ()
| get the groupB flag
bool | GetGroupC ()
| get the groupC flag
void | SetGroupA (bool value)
| set the groupA flag
void | SetGroupB (bool value)
| set the groupB flag
void | SetGroupC (bool value)
| set the groupC flag
void | SetFlags (short int which)
| GDSII compatible.
void | ClearFlags (short int which)
| reset all flags in which
short int | GetFlags ()
| get flags mask
virtual wxPropertySheet * | HasPropList ()
| has property list
virtual wxPropertySheet * | GetPropList ()
| get property list
virtual void | UpdatePropList ()
| update property list , removinf predefined properties (mostly members of object)
void | AddProperty (const wxString &name, const wxString &type, const wxString &value)
| set a property
void | SetStamp (long event)
| set event stamp
long | GetStamp ()
| get event stamp
## Protected Attributes
long | m_stamp
| event stamp that is unique for every element
union {
} | bit_flags
| mask of flags for select groups etc.
wxPropertySheet * | m_wxpropsheet
| user defined properties attached to the element
BoundingBox | m_boundingbox
| boundingbox of primitive

## Detailed Description

pure virtual Base class for all data types, that can be in a drawing.

References to structures and Shapes are derived from this class In general Elements are part of an ElementList, the ElementList is part of a Structure. A Refrence Element is Referencing a Struture. This way hiearchy is created.

See also:
  Shape , Reference , Structure , ElementList

## Member Function Documentation

virtual bool Element::Select | ( | BoundingBox * | ,
|  | wxTransformMatrix * |
| ) | `[pure virtual]`

| select the element if is within the box. matrix is used to calculate the relative BoundingBox within structures Implemented in Arcseg, Box, Circle, Image, SLine, Boundary, Path, ArrayReference, StructureReference, and Text.

The documentation for this class was generated from the following file:

- element.h

Element class Reference -- Thu Nov 28 21:24:57 2002 -- 28 Nov 2002 -- 1.2.18 -- -- . -- Main Page